#' Example scRNA-seq data for compartmap
#' 
#' This object was generated using the K562 data from the STORM-seq paper
#' and pre-processed using the scran and scater packages and TF-IDF
#' transformed.
#' 
#' @name k562_scrna_chr14
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(k562_scrna_chr14, package = "compartmap")
NULL

#' Example scRNA-seq data for compartmap
#' 
#' This object was generated using the K562 data from the STORM-seq paper
#' and pre-processed using the scran and scater packages and are raw counts.
#' 
#' @name k562_scrna_se_chr14
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(k562_scrna_raw, package = "compartmap")
NULL

#' Example scATAC-seq data for compartmap
#' 
#' This data was generated using the data from the reference via bwa mem
#' and pre-processing the data using the csaw package.
#' 
#' @name k562_scatac_chr14
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @references \url{https://www.ncbi.nlm.nih.gov//geo/query/acc.cgi?acc=GSE99172}
#' @keywords data
#' @usage data(k562_scatac_chr14, package = "compartmap")
NULL

#' Example SMART-seq3 scRNA-seq data for compartmap
#' 
#' This object was generated using the HEK293T data from the SMART-seq3 paper
#' 
#' @name ss3_umi_sce
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @references \url{https://www.ebi.ac.uk/arrayexpress/experiments/E-MTAB-8735/}
#' @description Only keep chromosome 22 for the example
#' @keywords data
#' @usage data(ss3_umi_sce, package = "compartmap")
NULL

#' hg38 seqlengths as a GRanges object
#' 
#' This object was generated using the BSgenome.Hsapiens.UCSC.hg38 package.
#' The script used for this object is found in the inst/scripts directory
#' 
#' @name hg38.gr
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(hg38.gr, package = "compartmap")
NULL

#' hg19 seqlengths as a GRanges object
#' 
#' This object was generated using the Homo.sapiens package.
#' The script used for this object is found in the inst/scripts directory
#' 
#' @name hg19.gr
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(hg19.gr, package = "compartmap")
NULL

#' mm10 seqlengths as a GRanges object
#' 
#' This object was generated using the Mus.musculus package.
#' The script used for this object is found in the inst/scripts directory
#' 
#' @name mm10.gr
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(mm10.gr, package = "compartmap")
NULL

#' mm9 seqlengths as a GRanges object
#' 
#' This object was generated using the BSgenome.Mmusculus.UCSC.mm9 package.
#' The script used for this object is found in the inst/scripts directory
#' 
#' @name mm9.gr
#' @docType data
#' @author Benjamin K Johnson \email{ben.johnson@vai.org}
#' @keywords data
#' @usage data(mm9.gr, package = "compartmap")
NULL
