% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bootstrapCompartments.R
\name{bootstrapCompartments}
\alias{bootstrapCompartments}
\title{Non-parametric bootstrapping of compartments and summarization of bootstraps/compute confidence intervals}
\usage{
bootstrapCompartments(
  obj,
  original.obj,
  bootstrap.samples = 1000,
  chr = "chr14",
  assay = c("rna", "atac"),
  parallel = TRUE,
  cores = 2,
  targets = NULL,
  res = 1e+06,
  genome = c("hg19", "hg38", "mm9", "mm10"),
  q = 0.95,
  svd = NULL,
  group = FALSE,
  bootstrap.means = NULL
)
}
\arguments{
\item{obj}{List object of computed compartments for a sample with 'pc' and 'gr' as elements}

\item{original.obj}{The original, full input SummarizedExperiment of all samples/cells}

\item{bootstrap.samples}{How many bootstraps to run}

\item{chr}{Which chromosome to operate on}

\item{assay}{What sort of assay are we working on}

\item{parallel}{Whether to run the bootstrapping in parallel}

\item{cores}{How many cores to use for parallel processing}

\item{targets}{Targets to shrink towards}

\item{res}{The compartment resolution}

\item{genome}{What genome are we working on}

\item{q}{What sort of confidence intervals are we computing (e.g. 0.95 for 95 percentCI)}

\item{svd}{The original compartment calls as a GRanges object}

\item{group}{Whether this is for group-level inference}

\item{bootstrap.means}{Pre-computed bootstrap means matrix}
}
\value{
Compartment estimates with summarized bootstraps and confidence intervals
}
\description{
Non-parametric bootstrapping of compartments and summarization of bootstraps/compute confidence intervals
}
\examples{
  
# this needs a good example

}
